package com.calltecher.hjx.com.calltecher;

import android.app.Activity;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.support.v4.app.FragmentTabHost;
import android.support.v7.app.AppCompatActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.TabHost;
import android.widget.TextView;


public class MainActivity extends AppCompatActivity {

    private LayoutInflater mInflater;
    public static FragmentTabHost mTabHost;
    private Class mFragmentArray[] = {HomeFragment.class, HomeFragment.class, HomeFragment.class
            , HomeFragment.class};
    private int mImageViewArray[] = {R.mipmap.ic_launcher,R.mipmap.ic_launcher,R.mipmap.ic_launcher,R.mipmap.ic_launcher};
    private String mTextViewArray[];
    public String tabTitle = "首页";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        initView();
    }

    protected void initView() {

        mInflater = LayoutInflater.from(this);
        mTabHost = (FragmentTabHost) findViewById(android.R.id.tabhost);
        mTabHost.setup(this, getSupportFragmentManager(), android.R.id.tabcontent);
        mTextViewArray = new String[]{getString(R.string.tab), getString(R.string.tab),
                getString(R.string.tab), getString(R.string.tab)};
        int count = mFragmentArray.length;
        for (int i = 0; i < count; i++) {
            TabHost.TabSpec tabSpec = mTabHost.newTabSpec(mTextViewArray[i]).setIndicator(getTabItemView(i));
            mTabHost.addTab(tabSpec, mFragmentArray[i], null);
        }
        tabTitle = getIntent().getStringExtra("title");
        mTabHost.setCurrentTabByTag(tabTitle);
    }

    private View getTabItemView(int index) {
        View view = mInflater.inflate(R.layout.tab_item_view, null);
        ImageView imageView = (ImageView) view.findViewById(R.id.tabimg);

        imageView.setImageResource(mImageViewArray[index]);
        TextView textView = (TextView) view.findViewById(R.id.tabtext);
        textView.setText(mTextViewArray[index]);
        return view;
    }

}
